org.freedesktop.cairo

## Class SolidPattern

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.freedesktop.cairo.Pattern
      - - org.freedesktop.cairo.SolidPattern

-     public class SolidPattern
      extends Pattern

  A Pattern of a single colour. Note that "solid" does not imply completely opaque; as with most other colour setting operations in Cairo, you can specify an level of transparency.
  Since:
    4.0.7
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolidPattern(double red, double green, double blue, double alpha)` Create a Pattern of a given colour.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.cairo.Pattern

      `addColorStopRGB, addColorStopRGBA, getSurface, setExtend, setFilter`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolidPattern

          public SolidPattern(double red,
                      double green,
                      double blue,
                      double alpha)

      Create a Pattern of a given colour.
      Since:
        4.0.7